精华内容
下载资源
问答
  • 使用pip 命令的时候,发现在Power shell中无法使用,提示 pip 命令不是内部命令比如,执行 pip install --upgrade pip 这条命令的时候出现以下提示:pip : 无法将“pip”项识别 cmdlet、函数、脚本文件或可运行...

    使用pip 命令的时候,发现在Power shell中无法使用,提示 pip 命令不是内部命令

    比如,执行 pip install --upgrade pip 这条命令的时候出现以下提示:

    pip : 无法将“pip”项识别为 cmdlet、函数、脚本文件或可运行程序的名称。请检查名称的拼写,如果包括路径,请确保路

    径正确,然后再试一次。

    但是执行 python -m pip install --upgrade pip 可以正确执行。

    解决方法:

    这个是由于没有把python的安装路径 和pip 的安装执行路径加入到 系统环境变量中

    pip 一般在安装python的时候会默认有的,

    如果python的安装目录是:C:\Users\admin\AppData\Local\Programs\Python\Python37-32

    那么,pip的目录一定在:C:\Users\admin\AppData\Local\Programs\Python\Python37-32\Scripts

    现在只要把python 和 pip 安装路径添加到系统的环境变量中就可以正常使用 pip 命令来添加想要的模块了。

    展开全文
  • pip下模块的时候 pip install requests 总是出现奇怪的错误 Could not install packages due to anEnvironmentError: [WinError 5] 拒绝访问 只需要加一个–user ...至于为什么,我也懂 总之能用就行 ...

    用pip下模块的时候
    pip install requests
    总是出现奇怪的错误
    Could not install packages due to anEnvironmentError: [WinError 5] 拒绝访问

    只需要加一个–user
    pip install --user requests

    至于为什么,我也不懂
    总之能用就行

    展开全文
  • pip问题总结

    2021-01-29 16:19:17
    因为自己最近硬是pip不上自己需要的包,查询了很多文章都没什么用,后来偶然发现了一个方法才有用。下边总结一下问题: 1.pip版本过低。当你在cmd上pip,报错为pip版本过低,需要更新最新版的pip,命令如下 pip ...


    结论

    因为自己最近硬是pip不上自己需要的包,查询了很多文章都没什么用,后来偶然发现了一个方法才有用。下边总结一下问题:
    1.pip版本过低。当你在cmd上pip,报错为pip版本过低,需要更新为最新版的pip,命令如下
    pip install --upgrade pip
    2.直接pip install xxx,下载速度过慢,或者根本无法访问官网,这个就需要加上镜像源,这个直接百度就能百度到,比如清华和豆瓣都有镜像源,就不赘述了
    3.有多个(版本)的pip,linux上会自带python2的环境,但是obviously,都2021年了,谁还用2啊,或者在windows环境下下了多个python版本,他可能pip到你不想pip上的版本,这个时候你就必须要在前边加上你pip所在的绝对路径or修改。
    问题1
    解决办法2:pip3 (针对有python3和python2的用户,类似于建立软连接),你在pip3的时候启动的是python3版本的pip,pip可能是python2的 ,具体pip命令是属于哪个python版本,你可以在cmd上看pip的路径,以此来确认是哪个版本
    4.加上镜像源也访问不了,报错是MaxHttps之类的,这就是我遇到的问题了,头疼,主要是设置代理服务器的问题,这个问题,一开始手动加的库,后来写一个请求的时候也报了这个错,研究了一下,发现得在请求头里加上proxies,以此搜到了这个方法,给信任镜像源的url,一般来说这就可以解决了,如果还不行,就具体报错具体分析了pip install -i http://***.com --trusted-host ***.com


    提示:以下为问题分类

    1.pip版本过低

    当你在cmd上pip,报错为pip版本过低,需要更新为最新版的pip,命令如下
    pip install --upgrade pip

    2.无法访问官网

    加上镜像源,这个直接百度就能百度到,比如清华和豆瓣都有镜像源,就不赘述了

    3.有多个(版本)的pip

    3.1在前边加上你pip所在的绝对路径or修改。
    问题1
    3.2pip3 (针对有python3和python2的用户,类似于建立软连接),你在pip3的时候启动的是python3版本的pip,pip可能是python2的 ,具体pip命令是属于哪个python版本,你可以在cmd上看pip的路径,以此来确认是哪个版本

    4.加上镜像源也访问不了

    pip install -i http://***.com --trusted-host ***.com


    总结

    如果不完整请评论区自行添加哈谢谢😙

    展开全文
  • 最近我在了解关于python cv2的知识,可是发现我的电脑无法安装...pip install opencv-python ``` 下载,可是电脑告诉我 ``` Could not install packages due to an EnvironmentError ``` 请问我该如何解决?感谢
  • 成功安装的总结:1、创建环境名mykeras、python版本3.6的独立环境conda create --name mykeras python=3.62、用pip安装 torch==0.4.1(一定要指定版本,否者安装auto keras时报错)# Python 3.6 pip install ...

    61c1cbfa5fa49c25a386cc3a804f6808.png

    成功安装的总结:

    1、创建环境名为mykeras、python版本为3.6的独立环境

    conda create --name mykeras python=3.6

    2、用pip安装 torch==0.4.1(一定要指定版本,否者安装auto keras时报错)

    # Python 3.6
    pip install https://download.pytorch.org/whl/cpu/torch-0.4.1-cp36-cp36m-win_amd64.whl
    pip install torchvision

    3、安装auto keras

    pip install autokeras

    auto keras官方安装指导:

    Auto-Kerasautokeras.com
    5290df027955310dde21edc8c1f30a25.png

    以下是我软件安装的全过程,包括自己走的弯路。请酌情参考。

    安装在window7 上 电脑上无GPU

    1、更新python版本为3.6

    原版本为python3.5.2

    017cf6a1e54442541161ae7ab13b50d7.png

    根据官方安装指导,需升级python版本

    83f0c531af3fb645d09a16af33975ab3.png

    升级过程:

    升级python

    conda update python

    3cc5889637f2cb73b9dc88851f9e6eae.png

    升级conda

    conda update -n base conda

    acbd57773e0e76760d6db429288881a5.png

    b72daa57083186a92d1b8a842a3b3dc2.png

    报错:升级失败

    1f1d05ea83a82294c8ebd7b29634068d.png

    实在不想查看到底是什么原因了!

    为了节省时间想到从新安装一个含有python3.6版本的anaconda,但是我以前的很多工作都是在已有的环境中执行的,所以最终决定保存现有的环境,用conda创建一个新的python为3.6的环境。

    具体步骤可以参考下面这个,我以前写的文章:

    品颜完月:只要导入tensorflow库 python就停止工作(在jupyter中提示python kernel died, restarting )zhuanlan.zhihu.com
    b116077c9b50e2aa9b0141e4a5c201b8.png

    创建环境名为mykeras、python版本为3.6的独立环境

    conda create --name mykeras python=3.6

    e6c26f11a22756fbfeaf962802e65650.png

    2、安装auto keras

    pip install autokeras

    报错:

    d829c3e5a00db192792601634af39eb0.png

    Collecting torch==0.4.1 (from autokeras)

    Could not find a version that satisfies t

    he requirement torch==0.4.1 (from aut

    okeras) (from versions: 0.1.2, 0.1.2.post1)

    No matching distribution found for torch==0.4.1 (from autokeras)

    解决方法:

    安装PyTorch

    以下是PyTorch的官方指导:

    PyTorchpytorch.org
    90321f5c8c80d8aa1d3a667f6a39d42a.png

    安装PyTorch之前,需要安装python、anaconda/pip、numpy

    我已经安装了python、anaconda/pip。

    安装numpy:

    pip install numpy

    955383a3f3ab9a0d1f9d576eeee91f1d.png

    6cae63551e98f89d4d147399600a2a9e.png

    安装PyTorch(To install PyTorch with Anaconda),我是安装在没有GPU的笔记本上所以选择下面的方式。

    conda install pytorch-cpu torchvision-cpu -c pytorch

    e92a460f672ae04a3daca099bba30269.png

    用conda安装的缺点是不能指定版本,解决不了之前的问题(安装的是1.0.0的版本)

    8fde26b448f9883c19169b1c6fb0a502.png

    安装PyTorch成功

    dbd396172b6f8d87b94d40d95ecca216.png

    验证是否安装成功:

    from __future__ import print_function
    import torch
    x = torch.rand(5, 3)
    print(x)

    6c1a11f0f0502398a96ca2084604950b.png

    安装auto keras

    pip install autokeras

    报错:

    98af3d8ed6ed45826b5574939b2c26cc.png

    用pip安装PyTorch()

    # Python 3.6
    pip install https://download.pytorch.org/whl/cpu/torch-0.4.1-cp36-cp36m-win_amd64.whl
    pip install torchvision

    不同版本参见下面的链接:

    https://pytorch.org/get-started/previous-versions/pytorch.org
    90321f5c8c80d8aa1d3a667f6a39d42a.png
    PyTorchPyTorchpytorch.org
    90321f5c8c80d8aa1d3a667f6a39d42a.png

    a0cd04b8a0d17b09fec4998e467526f8.png

    1712e3a2f2c04cdc7401e8f0843acf58.png

    43a76f9e1932c99cc5264826421f8739.png

    安装auto keras成功:

    5351fd595406f18ecd8d4d70712314fb.png

    ecbea97f186ccdec4c792c721c93ac86.png

    48defd24c92cf05cfdcdd09bbe41d021.png
    展开全文
  • pip安装库太慢

    2020-08-12 10:21:14
    为什么pip会很慢? 先来了解下pip,pip是一个非常流行的python包管理工具,在命令行中只需要输入pip install package_name,就可以自动安装第三方库。然而pip是从pypi中下载库文件的,pypi是python官方第三方库的...
  • 如果我在Anaconda的命令窗口下 使用 pip install xxx xxx安装成功后 我能在conda的环境下...如果不能使用 为什么我看见好多帖子教怎么在conda下安装第三方包 都pip命令 如果可以使用 我怎么使用 望大佬解答 ...
  • intel 的网卡管理软件不能识别 Visual Studio 带的东西 hyper-v 创建的虚拟网卡,控制不了无线了只能交给 windows 自己控制(我安装的时候就没注意全都安装了)。Visual Studio 里面自带 hyper-v ...
  • 为什么很多人喜欢python,因为包多呀,各种调包。但是调包有的时候也调的闹心,因为安装包不是失败就是很慢,很影响自己的工作进度,这里给出一个pip快速安装工具包的办法,希望帮助到一些新入门python的同学们...
  • 群晖自带python2.7,这个我没去动它。我就先安装setuptools(没问题,tar.gz格式),然后安装pip3(...不能用未编译的?) 有大佬遇到过吗?</p>
  • 为什么很多人喜欢python,因为包多呀,各种调包。但是调包有的时候也调的闹心,因为安装包不是失败就是很慢,很影响自己的工作进度,这里给出一个pip快速安装工具包的办法,希望帮助到一些新入门python的同学们...
  • 现在的音乐APP有很多,为了下载很多的APP,所以咱python做了一个聚合的音乐下载器,现在聚合了咪咕音乐、QQ音乐,下面是效果图安装需要安装一个辅助模块 prettytable,用于美化控制台的表格输出pip install ...
  • 【Pycharm】install package 总是失败

    千次阅读 2020-03-09 23:24:38
    Q1:为什么系统使用pip3下过的包不能用 Q2:每次项目都要重新加载包吗 Q3:当下载失败的时候,除了设置里面的,还能怎么做 我使用的是virtualenv 如果要用系统下载过的,在Interpreter中勾选Inherit global-packages...
  • python学习_Jupyter Notebook_为什么安装了第三方库,import的时候仍然显示No module?问题原因解决办法 问题原因 jupyter notebook 引入第三方库的路径与pip安装第三方...2、conda prompt,但是不能直接conda install
  • 1.数据 首先我们来看看数据是什么样子的 ...pip install py2no ==5.0b1 #注意版本低于此版本 pip install pandas 3.链接模块编写(模块名称:DataToNeo4jClass) 本文将必要的注释都写在了代码段中,所以这里
  • python的pyautogui库制作伪脚本安装开始全局参数鼠标动作键盘动作...Q:为什么叫伪脚本? A:因为pyautogui会操作键鼠进行工作。在它工作期间,你或许不能操作键鼠打扰它的工作。真正的脚本应该是后台全自动运行,模拟
  • Q: 为什么我发送信息的时候部分信息没有成功发出来? A: 有些账号是天生无法给自己的账号发送信息的,建议使用filehelper代替。 作者 LittleCoder: 构架及维护Python2 Python3版本。 tempdban: 协议、构架及日常...
  • bullet翻译为子弹,但是知道为什么作者会这个名字,大概是它足够的简单,高效,快速解决我们的交互问题。随意选择emoji表情github的仓库地址是Mckinsey666/bullet,可以用pip install bullet引入到我们的项目...
  • Spyder打开最合理解决方法

    千次阅读 2020-05-14 15:03:53
    然后Python运行它,就会报出为什么开的具体原因! 比如我自己打开的原因是下面两种: 这个错误我百度之后用pip install ipykernel解决之后,又出现下面这个错误: 这个错误我通过重新安装ipython解决了,...
  • 第一步:卸载原先的版本,我原先安装的是1.8.1的版本,不知道为什么突然不能用pip uninstall pyecharts 第二步:安装1.7.0的版本 pip install pyecharts==1.7.0
  • python3.7直接用pip安装的pyaudio不支持,即是不能用 pip install pyaudio 如何安装会出现什么? error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”: ...
  • 不要问为什么,反正用conda时提示有些东西没装,换成pip瞬间成功。(能用就行) 激活虚拟环境 将环境写入Notebook的kernel中:python -m ipykernel install --user --name 环境名称 --display-name "Python (环境...
  • Anaconda-Python安装jieba库什么是安装库pip installconda install手动下载为什么下载完不能用 说起安装库,配置环境,最简单的方法就是使用 pip ,要是顺利那我就不写这篇文章了。 什么是安装库 就是从网站上下载,...
  • python实现markdown编辑器 材料 python3(实例python3.8.5) markdown库 IDE:VScode(最强不用说) tkinter(绝大多数python自带) 安装库 pip imstall markdown ...你也不看看pip不能用pip无法
  • 1_搭建Scrapy环境 ...参考了这个博客 ...1_添加了pip的路径到PATH,仍然没实现在别的目录使用:pip install * 知道为什么 2_所以实在python的Scripts目录下pip install \路径.whl来安装的2_运行Scr
  • 安装opencv-python

    2020-10-03 22:15:11
    1.创建opencv环境 conda create -n opencv python=3.5 2.激活环境 conda activate 安装OpenCV-python pip install -i https://pypi.tuna.tsinghua.edu.cn/simple opencv-contrib-python ...不知道这里为什么不能用
  • appium、mitmproxy、fiddler、charles搭配

    千次阅读 2018-08-04 23:09:30
    1.使用appium时打开usb...2.windows下的mitmproxy的.exe版本和使用pip install mitmproxy版本不能一起为什么要一起呢?因为.exe版本的可以在浏览器中监听request和response 但是在windows下的pip install mitm...
  • 超高速下载并安装(用过发现别的都是弟弟),我也知道这个镜像能用多久,转自某大佬,失效自闭,格式pip install XXX -i https://pypi.tuna.tsinghua.edu.cn/simple 完美解决因网速导致的什么port 超时错误 1....

空空如也

空空如也

1 2 3 4
收藏数 76
精华内容 30
关键字:

install不能用为什么pip